import alsaaudio
from paging_master import PagingMaster
from utils import uci_to_config_dict
from groups import Groups
from users import Users
from audio_files import AudioFiles  # Anton
from audio_files_processor import AudioFilesProcessor
from record_service import MessageRecordService
import constants  # Anton


def initialize():
    global config
    global pmaster
    global last_message_type
    global active_browser
    global TIMEOUT
    global groups
    global users
    global audio_files  # Anton
    global audio_processor  # Anton
    global playfile_state  # Anton
    global delete_processed_files  # Anton
    global kill_playfile_thread  # Anton
    global kill_local_playback_thread  # Anton
    global downloading_recorded_message  # Anton
    global paging_message_q
    global paging_message_q_buff_msg
    global paging_state
    global record_service
    global local_alsa_player
    global last_client
    global user_token_length
    global active_user
    global first_fast_packets
    # Thread handles
    global paging_message_q_thread

    active_user = None

    last_client = None
    groups = Groups()
    users = Users()

    paging_state = constants.IDLE
    paging_message_q = None
    paging_message_q_thread = None
    paging_message_q_buff_msg = 0
    first_fast_packets = 0
    playfile_state = constants.IDLE  # Anton
    delete_processed_files = constants.YES  # Anton
    kill_playfile_thread = constants.NO  # Anton
    downloading_recorded_message = constants.YES  # Anton
    kill_local_playback_thread = constants.NO  # Anton
    audio_processor = AudioFilesProcessor()  # Anton
    audio_files = AudioFiles()  # Anton

    user_token_length = len(users.new_secret)
    config = uci_to_config_dict()

    record_service = MessageRecordService()  # Anton

    TIMEOUT = config["browser_timeout"]  # seconds
    active_browser = {"time": None, "id": ""}
    pmaster = PagingMaster(config["paging_master_id"])

    last_message_type = 8
    local_alsa_player = alsaaudio.PCM(
        alsaaudio.PCM_PLAYBACK, alsaaudio.PCM_NORMAL, config["audio_device"]["playback"]
    )
    local_alsa_player.setchannels(1)
    local_alsa_player.setperiodsize(2972)  # 2972
    local_alsa_player.setrate(config["sample_rate"])
    local_alsa_player.setformat(alsaaudio.PCM_FORMAT_S16_LE)


def run_local_playback(alsa_player=None):
    player = alsa_player

