<% . /usr/local/lib/cgi/generic.sh ; print_http_hdr %>
<% . /usr/local/lib/cgi/status.sh %>
<% . /usr/local/lib/cgi/config.sh %>

<% VERSION=$(cat /barix/info/VERSION) %>

<html lang="en_US">
<head>
    <title>IC Paging GW</title>

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link href="/theme/css/main.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="../css/audio_files.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="../css/modal.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="/theme/css/loading.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">

    <link href="../assets/fontawesome-free-5.15.4-web/css/all.css" rel="stylesheet">

    <script type="text/javascript" src="/javascript/modal.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/javascript/common-tools.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/app/javascript/jquery-3.3.1.min.js"></script>

    <script type="text/javascript" src="/app/javascript/audio_files.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/app/javascript/audio_files_requests.js?v=<% echo -n $VERSION %>"></script>

    <link rel="stylesheet" href="/theme/css/notify.css?v=<% echo -n $VERSION %>">
    <script type="text/javascript" src="/notify/notify.js?v=<% echo -n $VERSION %>"></script>

    <meta http-equiv="Content-type" content="text/html;charset=UTF-8">

</head>
<body style="margin-top: 0;" onload="loadAudioFiles(editAudioFilesDetails);">

    <div class="tab-content">
        <div id="main-content">
            <h2>Audio Files</h2>
            
                    <div class="section1">
                        <div style="display: flex; justify-content: flex-end;">
                            <button onclick="newAudioFile()" id="newAudioFileBtn">New Audio File <span style="font-weight: 600;">&#65291;</span></button>
                        </div>
                        <div id="audioFile-div" style="padding-top: 10%; display: flex; justify-content: center;">
                            <div id="audioFiles-section" style="position: relative;"></div>
                        </div>
                    </div>
        </div>

        <!-- CONTENT OF AUDIO FILE MODAL -->
        <div id="audioFile-modal" style="display: none;">
            <div template="title">
                <div id="audioFile-modal-title"></div>
            </div>
            <div template="body">
                <!--<form id="upload-form" name="upload-form" action="upload-certificate.cgi" class="upload-form" style="width: 100%;" 
                    method="POST" enctype="multipart/form-data">-->
                
                <form id="audioFile_form" name="audioFile_form" action="upload_audio_file.cgi" class="upload-form" 
                                    style="width: 100%;" method="POST" enctype="multipart/form-data">  
                    <table class="labelValue">
                        <tbody>
                            <tr>
                                <td class="label" id="audioFile-name-label">
                                    Name
                                </td>
                                <td class="value">
                                    <input id="audioFile-name-input">
                                </td>
                            </tr>
                            <tr>
                                <td class="label" id="audioFile-upload-label">
                                    File name
                                </td>
                                <td class="value">
                                    <input id="audioFile-upload-input" disabled = true> 
                                </td>  
                            </tr>                            
                            <tr>
                                <td class="file-input">    
                                        <!-- audio_files_ui.cgi -->
                                        <input type="hidden" name="return_page" value="audio_files_ui.cgi"> <br> 
                                        <input class="file" id="filename" required type="file" accept=".mp3," name="audio_file" 
                                                size="30" onchange="
                                                    setFileName();
                                                    // this.form.submit();"
                                                    
                                        > 
                                        <label for="filename">Select file...</label>
                                        <!-- <br> 
                                        <input type=submit value="Upload file"> -->
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <!-- audioFile-buttons -->
                    <div class="audioFile-buttons">                     
                        <button type="button" id="deleteAudioFileBtn" hidden>Delete file</button>
                    </div>
                    <div class="modal-buttons">
                        <button id="modal-cancel-btn" class="red" type="button" onclick="closePopup('audioFile-modal');" hidden>Cancel</button>
                        <button id="modal-submit-btn" class="green" type="button" hidden>Save</button> 
                    </div>                    
                </form>                
            </div>
        </div>

        <!-- LOADING SPINNER -->
        <div id="loading-spinner" style="display: none; width: 59%; text-align: center; top: calc(25vh); position: absolute;">
            <div id="loading" class="loading-ripple">
                <div></div>
                <div></div>
            </div>
            <div  style="width: 90%; margin: 48px auto 0; color: #333333; font-family: SourceSansPro, Arial, Helvetica, sans-serif; font-size:19px; font-weight:400; text-align:center;">
                <h3>Processing...</h3>
            </div>
        </div>
    </div>

    <div class="tab-help">
        <iframe src="../audio_files_help.html" style="border: none; width: 100%; height: 100%;"></iframe>
    </div>
</body>