<% . /usr/local/lib/cgi/generic.sh ; print_http_hdr %>
<% . /usr/local/lib/cgi/status.sh %>
<%

VERSION=$(cat /barix/info/VERSION)

# Update theme symbolic link
rm -Rf /usr/local/www/current/theme
if [ -d "/usr/local/www/current/app/theme" ]; then
    ln -s /usr/local/www/current/app/theme /usr/local/www/current/theme
else
    ln -s /usr/local/www/current/themes/barix-default /usr/local/www/current/theme
fi


# Extract application name from manifest
if test -f "/usr/local/www/current/app/scripts/getApplicationName.sh"; then
    APP_NAME="$(bash /usr/local/www/current/app/scripts/getApplicationName.sh)"
else
    APP_NAME=`jq -j .name /mnt/data/package/manifest.json`
fi

if [ -z "${APP_NAME}" ]; then
    APP_NAME="Barix Device";
fi


DEVICE_ALIAS=$(echo "$(uci get device.device.alias)")
if [ ! -z "${DEVICE_ALIAS}" ]; then
    APP_NAME="${APP_NAME} | ${DEVICE_ALIAS}"
fi


# Validate manifest
#if test -f "/usr/local/www/current/app/scripts/manifestValidation.sh"; then
#    #/usr/bin/python3 /usr/local/www/current/app/scripts/manifestValidation.py
#    bash /usr/local/www/current/app/scripts/manifestValidation.sh
#    MANIFEST_OK=$?
#else
#    /usr/bin/python3 /usr/local/www/current/scripts/firmware-version.py
#    MANIFEST_OK=$?
#fi
MANIFEST_OK=0



# Checks whether there is a configuration file for the menu
HAS_MENU_JSON_FILE="false"
[ -f /usr/local/www/current/app/menu.json ] && HAS_MENU_JSON_FILE="true";


# Sample of app/menu.json
# - Set the default page "Settings"
# - Add a tab "Sources" with a link to content
# - Remove the standard menu options "Update and "Reboot".
#
# {
#   "default": "Settings"
#   "add": [
#     {
#       "label": "Sources",
#       "link": "app_sources.html"
#       "title": "The sources menu item title"
#     }
#   ],
#   "remove":   [
#     "Update",
#     "Reboot"
#   ]
# }

%>


<html lang="en_US">
<head>
    <title>Main Menu</title>
    <meta http-equiv="Content-type" content="text/html;charset=UTF-8">

    <style>

        ul.main-menu {
            display: block;
            list-style-type: disc;
            margin-block-start: 0;
            margin-block-end: 0;
            margin-inline-start: 0;
            margin-inline-end: 0;
            padding-inline-start: 0;
        }

        li.main-menu {
            float: left;
            display: inline-block;
            text-align: center;
            min-width: 75px;
            padding: 0 4px;
        }

    </style>

    <link href="/theme/css/main.css" rel="stylesheet" type="text/css">

    <script>

        const VERSION="<% echo -n $VERSION %>";

        async function onLoadScriptsAndFunctions() {

            <% 
                keys=$(jq '.[] | .secret' /barix/apps/icpgw/users_backup.json)
                contains() {
                    echo $1 | grep -w -q "$2"
                    case $(echo $?) in
                    0)
                        echo "const iframeElem = document.createElement('iframe');"
                        echo "iframeElem.setAttribute('style', 'border: none; width: 100%; height: 100%;');"
                        echo 'let srcStr = "paging_ui.cgi?token='$FORM_token'";'
                        echo "iframeElem.setAttribute('src', srcStr);"
                        echo "document.getElementById('paging_frame').appendChild(iframeElem);"
                        ;;
                    *)
                        echo "const titleElem = document.createElement('h1');"
                        echo "titleElem.innerHTML = '401 Unauthorized';"
                        echo "document.getElementById('paging_frame').appendChild(titleElem);"
                        ;;
                   esac
                }
                contains "${keys}" $FORM_token
            %>

        }

        <% echo -e "window.parent.document.title=\"$APP_NAME\"" %>

    </script>

</head>
<body class="main-menu" onload="onLoadScriptsAndFunctions()">
    <table class="main-menu" cellpadding="0" cellspacing="0">

        <tr id="navbar" class="main-menu">
            <th class="main-menu">
                <ul id="main-menu" class="main-menu">
                </ul>
            </th>
            <th id="end_navbar" class="main-menu main-menu-contrast main-menu-hdwr-info">
                <% print_device_type %>&nbsp;&nbsp;MAC <% print_mac_addr %>&nbsp;FW <% print_fw_version %>
            </th>
        </tr>

        <tr>
            <td id="app_name_span" class="product">
                <% echo -n "${APP_NAME}" %>
                <%
                    ALIAS=$(cfg_print_param device.device.alias)
                    if [ ! -z ${var+x} ]; then
                        echo -n "| ${ALIAS}"
                    fi
                %>
                <% if [ $MANIFEST_OK -ne 0 ]; then
                     echo -n "alert('Application was not made to work with current firmware image and it might not work.');";
                   fi %>
            </td>
            <td align="right" style="padding-right: 8px;">
                <a href="https://www.barix.com" target="_blank">
                    <img src="/theme/images/brand.png?v=<% echo -n $VERSION %>">
                </a>
            </td>
        </tr>

        <tr class="navbar-separator">
            <td id="navbar_separator" class="main-menu"</td>
            <td class="main-menu-contrast"></td>
        </tr>
    </table>

    <div id="paging_frame">
    </div>
</body>
</html>
