<% . /usr/local/lib/cgi/generic.sh ; print_http_hdr %>
<% . /usr/local/lib/cgi/status.sh %>
<% . /usr/local/lib/cgi/config.sh %>

<% VERSION=$(cat /barix/info/VERSION) %>

<html lang="en_US">
<head>
    <title>IC Paging GW</title>

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <link href="/theme/css/main.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="../css/users.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="../css/modal.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="/theme/css/loading.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="../css/table_pagination.css?v=<% echo -n $VERSION %>" rel="stylesheet" type="text/css">
    <link href="../assets/fontawesome-free-5.15.4-web/css/all.css" rel="stylesheet">

    <script type="text/javascript" src="/app/javascript/jquery-3.3.1.min.js"></script>
    <script type="text/javascript" src="/app/javascript/users.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/app/javascript/table_pagination.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/javascript/modal.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/javascript/common-tools.js?v=<% echo -n $VERSION %>"></script>
    <script type="text/javascript" src="/app/assets/qrcode.min.js"></script>
    <script type="text/javascript" src="/app/assets/html2pdf.bundle.min.js"></script>

    <link rel="stylesheet" href="/theme/css/notify.css?v=<% echo -n $VERSION %>">
    <script type="text/javascript" src="/notify/notify.js?v=<% echo -n $VERSION %>"></script>

    <meta http-equiv="Content-type" content="text/html;charset=UTF-8">

</head>
<body style="margin-top: 0;" >

    <div class="tab-content">
        <div id="main-content">
            <h2>Users</h2>
            
                    <div class="section1">
                        <div style="display: flex; justify-content: flex-end;">
                            <button onclick="newUser()" id="newUserBtn"><i class="fas fa-user-plus" style="margin-right: 4px;"></i>New user</button>
                            <button onclick="downloadUsersList()" id="downloadUsers"><i class="fas fa-download" style="margin-right: 4px;"></i>Download users data</button>
                        </div>
                        <div id="users-div" style="padding-top: 30px;">
                            <div id="users-section" style="position: relative; width: 100%"></div>
                            <div style="display: flex; justify-content: center; margin-top: 30px;"><button id="delete-selected-users" onclick="deleteUsers();"><i class="fas fa-trash-alt" style="margin-right:4px;"></i>Delete selected</button></div>
                        </div>
                    </div>
        </div>

        <!-- CONTENT OF GROUP MODAL -->
        <div id="user-modal" style="display: none;">
            <div template="title">
                <div id="user-modal-title"></div>
            </div>
            <div template="body">
                <form id="user-form" name="user-form" class="upload-form" style="width: 100%;">
                    <table class="labelValue">
                        <tbody>
                            <tr>
                                <td class="label" id="user-name-label">
                                    Name
                                </td>
                                <td class="value">
                                    <input id="user-name-input">
                                </td>
                            </tr>
                            <tr>
                                <td class="label" id="user-email-label">
                                    E-mail
                                </td>
                                <td class="value">
                                    <input id="user-email-input" type="email">
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div class="modal-buttons">
                        <button id="modal-cancel-btn" class="red" type="button" onclick="closePopup('user-modal');">Cancel</button>
                        <button id="modal-submit-btn" class="green" type="button">Save</button>
                    </div>
                </form>
            </div>
        </div>

        <!-- CONTENT OF QRCODE MODAL -->
        <div id="qrcode-modal" style="display: none;">
            <div template="title">
                <div id="qrcode-modal-title"></div>
            </div>
            <div template="body">
                <div id="qrcode-modal-body">    
                    <table class="labelValue">
                        <tbody>
                            <tr>
                                <td class="label" id="user-name-label">
                                    Name
                                </td>
                                <td class="value" id="user-name-value">
                                </td>
                            </tr>
                            <tr>
                                <td class="label" id="user-email-label">
                                    E-mail
                                </td>
                                <td class="value" id="user-email-value">
                                </td>
                            </tr>
                            <tr>
                                <td class="label" id="user-token-label">
                                    Access URL
                                </td>
                                <td class="value" id="user-token-value">
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <div id="qrcode"></div>
                    <div style="display: flex; justify-content: center;"><button id="downloadUserInfo"><i class="fas fa-download" style="margin-right: 4px;"></i>Download</button></div>
                </div>
            </div>
        </div>

        <!-- LOADING SPINNER -->
        <div id="loading-spinner" style="display: none; width: 59%; text-align: center; top: calc(25vh); position: absolute;">
            <div id="loading" class="loading-ripple">
                <div></div>
                <div></div>
            </div>
            <div  style="width: 90%; margin: 48px auto 0; color: #333333; font-family: SourceSansPro, Arial, Helvetica, sans-serif; font-size:19px; font-weight:400; text-align:center;">
                <h3>Processing...</h3>
            </div>
        </div>
    </div>

    <div class="tab-help">
        <iframe src="../users_help.html" style="border: none; width: 100%; height: 100%;"></iframe>
    </div>
</body>