// Endpoint to obtain the configuration values from UCI in JSON format
const GROUPS_ENDPOINT = "/groups";
 
/**
 * Obtain a sources config using ajax. NOTE: this method is synchronous.
 */
function getListOfGroups() {
    let groupsReceived = {};
    $.ajax({
        async: false,
        type: "GET",
        url: GROUPS_ENDPOINT,
        success: function (result, status, xhr) {
            groupsReceived = result;
        },
        error: function (xhr, status, error) {
            console.log("It was not possible to get the existing groups");
        }
    });
    return groupsReceived;
}


function addGroupRequest(groupName, clientsList){
    $.ajax({
    type: "POST",
    url: GROUPS_ENDPOINT,
    data: JSON.stringify({"name":  groupName, "clients": clientsList}),
    success: function(result, status, xhr){
        let msg = "";
        if (groupName === ""){
            msg = 'Configuration of group \"'+ result["id"] +'\" saved successfully';
        } else {
            msg = 'Configuration of group \"'+ groupName +'\" saved successfully';
        }
        handleHTTPSuccessResponse(msg);
    },
    error: function (xhr, status, error) {
        notify.notify({message:'It was not possible to save the group configuration.', level:'danger'});
    }
});
}

function removeGroupRequest(groupID, groupName){
    $.ajax({
        type: "DELETE",
        url: GROUPS_ENDPOINT,
        data: JSON.stringify({ "id": parseInt(groupID)}),
        success: function(result, status, xhr){
            let msg = 'Group \"'+ groupName +'\" deleted successfully';
            handleHTTPSuccessResponse(msg);
        },
        error: function (xhr, status, error) {
            notify.notify({message:'It was not possible to delete group \"' + groupName + '\".', level:'danger'});
        }
    });
}

function editGroupRequest(groupID, groupName, clientsList){
    $.ajax({
        type: "UPDATE",
        url: GROUPS_ENDPOINT,
        data: JSON.stringify({"id": groupID, "name":  groupName, "clients": clientsList}),
        success: function(result, status, xhr){
            let msg = "";
            if (groupName === ""){
                msg = 'Configuration of group \"'+ groupID +'\" saved successfully';
            } else {
                msg = 'Configuration of group \"'+ groupName +'\" saved successfully';
            }
            handleHTTPSuccessResponse(msg);
        },
        error: function (xhr, status, error) {
            notify.notify({message:'It was not possible to save the group configuration.', level:'danger'});
        }
    });
}
